import java.awt.*;
import javax.swing.*;

/**
 * TextInput.java
 * 
 * A variation on the HelloGoodbye example but with text entry
 * Based on Pohl and McDowell, 'Java by Dissection' pp 276-277.
 * 
 * Simon Parsons
 * 15th October 2012
 *
 */
public class TextInput{
	public static void main(String[] args) {
		JFrame frame = new JFrame("Text Time");
		Container pane = frame.getContentPane();

		JTextField input = new JTextField("Enter a number and hit <return>");
		
		Echo listener = new Echo();
		input.addActionListener(listener);		
		pane.add(input);
		frame.pack();
		frame.setVisible(true);
	}
}
